Virtual Users And Domains With Postfix - SSL routines wrong version number

Discussion in 'HOWTO-Related Questions' started by webbies, Jan 30, 2007.

  1. webbies

    webbies New Member

    Hi,

    after installing Postfix, I get an error when I want to connect with TLS

    imaplogin: couriertls: accept: error:1408A10B:SSL routines:SSL3_GET_CLIENT_HELLO:wrong version number

    here is my /etc/courier/imapd-ssl

    Code:
    SSLPORT=993
    SSLADDRESS=0
    SSLPIDFILE=/var/run/courier/imapd-ssl.pid
    IMAPDSSLSTART=YES
    IMAPDSTARTTLS=YES
    IMAP_TLS_REQUIRED=0
    COURIERTLS=/usr/bin/couriertls
    TLS_PROTOCOL=SSL3
    TLS_STARTTLS_PROTOCOL=TLS1
    TLS_CERTFILE=/etc/courier/imapd.pem
    TLS_VERIFYPEER=NONE
    TLS_CACHEFILE=/var/lib/courier/couriersslcache
    TLS_CACHESIZE=524288
    MAILDIRPATH=Maildir
    
    Any ideas how to fix this problem?

    Bye webbies
     
  2. falko

    falko Super Moderator ISPConfig Developer

    You can try to create a new certificate with mkimapdcert.
     

Share This Page